# Tourplaner: tourplaner.data.DbConnect Class Reference

tourplaner.data.DbConnect Class Reference

## Public Member Functions

| DbConnect ()
boolean | init ()
boolean | editTour (String oldname, Tour tour)
boolean | addTour (Tour tour)
boolean | delTour (String tourname)
boolean | delAllData ()
ArrayList< Log > | getLogs (String tourname)
boolean | addLog (String tourname, Log log)
boolean | editLog (String tourname, Log log)
boolean | delLog (String tourname, String id)
ArrayList< Tour > | getAllTouren ()
Tour | getTour (String tn)

## Detailed Description

Verwaltet die Datenbankverbindung zu dem Postgres Server

## Constructor & Destructor Documentation

## DbConnect()

tourplaner.data.DbConnect.DbConnect | ( |  | ) |

Erstellt alle Beispieldaten und simuliert somit den Verbindungsaufbau zu einer DB

## Member Function Documentation

## addLog()

boolean tourplaner.data.DbConnect.addLog | ( | String | tourname,
|  | Log | log
| ) |  |

Füght einen Logeintrag ein

Parameters

  tourname | Zu welcher Tour der Logeintrag gehört
  log | Der Logeintrag

Returns
  false bei error

## addTour()

boolean tourplaner.data.DbConnect.addTour | ( | Tour | tour | ) |

Fügt eine Tour hinzu

Parameters

  tour | Neue Tour

Returns
  false bei error

## delAllData()

boolean tourplaner.data.DbConnect.delAllData | ( |  | ) |

## delLog()

boolean tourplaner.data.DbConnect.delLog | ( | String | tourname,
|  | String | id
| ) |  |

## delTour()

boolean tourplaner.data.DbConnect.delTour | ( | String | tourname | ) |

Löscht eine Tour anhand des Tournamens

Parameters

  tourname | Tourname der zu löschen ist

Returns
  false bei error

## editLog()

boolean tourplaner.data.DbConnect.editLog | ( | String | tourname,
|  | Log | log
| ) |  |

## editTour()

boolean tourplaner.data.DbConnect.editTour | ( | String | oldname,
|  | Tour | tour
| ) |  |

Bearbeitet eine Tour

Parameters

  oldname | Alter Tour name
  tour | Neues Tour Object

Returns
  false bei error

## getAllTouren()

ArrayList<Tour> tourplaner.data.DbConnect.getAllTouren | ( |  | ) |

Holt alle Touren aus der Datenbank

Returns
  Null bei fehler, sonst eine List aus den IDs

## getLogs()

ArrayList<Log> tourplaner.data.DbConnect.getLogs | ( | String | tourname | ) |

## getTour()

Tour tourplaner.data.DbConnect.getTour | ( | String | tn | ) |

Holt eine Tour aus der Datenbank

Parameters

  tn | Tourname

Returns
  Null bei fehler, sonst eine List aus den IDs

## init()

boolean tourplaner.data.DbConnect.init | ( |  | ) |

Erstellt alle Tabellen die für den Betrieb der Software bennötigt werden

Returns
  True bei erfolg, sonst error

The documentation for this class was generated from the following file:

- src/tourplaner/data/DbConnect.java